Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal.rmi
Class RMIMarshaller

    java.lang.Object
      org.jboss.remoting.marshal.rmi.RMIMarshaller

All Implemented Interfaces:
  java.io.Serializable, Marshaller

    public class RMIMarshaller

extends java.lang.Object
implements Marshaller

This marshaller does nothing as will not be used by default RMI invoker since marshalling is done by RMI itself.

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATATYPE`

Constructor Summary
`RMIMarshaller()`

Method Summary
`Marshaller` | `cloneMarshaller()`
`void` | `write(java.lang.Object dataObject, java.io.OutputStream output)` Marshaller will need to take the dataObject and convert into primitive java data types and write to the given output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE

    public static final java.lang.String DATATYPE

See Also:
  Constant Field Values

Constructor Detail

### RMIMarshaller

    public RMIMarshaller()

Method Detail

### write

    public void write(java.lang.Object dataObject,
                      java.io.OutputStream output)
               throws java.io.IOException

  Marshaller will need to take the dataObject and convert into primitive java data types and write to the given output.

  Specified by:
    `write` in interface `Marshaller`
  Parameters:
    `dataObject` - Object to be writen to output
    `output` - The data output to write the object data to.
  Throws:
    `java.io.IOException`

### cloneMarshaller

    public Marshaller cloneMarshaller()
                               throws java.lang.CloneNotSupportedException

  Specified by:
    `cloneMarshaller` in interface `Marshaller`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.